Subject: bug#67431: closed (Re: bug#67431: nsq.powerpc64le-linux Testinflightworker test failure)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Nov 2023 14:19:02 +0000

Your bug report

#67431: nsq.powerpc64le-linux Testinflightworker test failure

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67431: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67431
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67431: nsq.powerpc64le-linux Testinflightworker test failure
From: Efraim Flashner <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Nov 2023 16:17:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Nov 24, 2023 at 08:48:59AM -0500, Maxim Cournoyer wrote:
> Hello,
> 
> [email-masked] (Cuirass) writes:
> 
> > <p>The build <b>nsq.powerpc64le-linux</b> for specification <b>master</b> is broken. You
> > can find the detailed information about this build <a
> > href="https://ci.guix.gnu.org/build/2674716/details">here</a>.</p>
> >
> > https://ci.guix.gnu.org/build/2674716/details
> 
> Excerpt:
<snip>
> 
> Cuirass says the new failure was a result from
> https://git.savannah.gnu.org/cgit/guix.git/log/?qt=range&q=0083a2265960f8228112c36e0d10eb974ff9d1f1..e4397a32ac81d0b23b168df27424001a7d20aee7;
> I suppose the test is flaky.
> 
> -- 
> Thanks,
> Maxim

I sent it through again and it passed the tests

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: nsq.powerpc64le-linux Testinflightworker test failure
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Fri, 24 Nov 2023 08:48:59 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[email-masked] (Cuirass) writes:

> <p>The build <b>nsq.powerpc64le-linux</b> for specification <b>master</b> is broken. You
> can find the detailed information about this build <a
> href="https://ci.guix.gnu.org/build/2674716/details">here</a>.</p>
>
> https://ci.guix.gnu.org/build/2674716/details

Excerpt:

--8<---------------cut here---------------start------------->8---
=== RUN   TestInFlightWorker
    logger.go:16: INFO: nsqd v1.2.1 (built w/go1.17.13)
    logger.go:16: INFO: ID: 16
    logger.go:16: INFO: TOPIC(test_in_flight_worker1700827671): created
    logger.go:16: INFO: TOPIC(test_in_flight_worker1700827671): new channel(channel)
    logger.go:16: INFO: TCP: listening on 127.0.0.1:32843
    logger.go:16: INFO: NSQ: persisting topic/channel metadata to /tmp/guix-build-nsq-1.2.1.drv-0/nsq-test-3611268977/nsqd.dat
    logger.go:16: INFO: HTTP: listening on 127.0.0.1:45211
    assertions.go:13: [31mchannel_test.go:99:
        
        	   0 (expected)
        
        	!= 250 (actual)[39m
        
    logger.go:16: INFO: TCP: closing 127.0.0.1:32843
    logger.go:16: INFO: HTTP: closing 127.0.0.1:45211
    logger.go:16: INFO: NSQ: persisting topic/channel metadata to /tmp/guix-build-nsq-1.2.1.drv-0/nsq-test-3611268977/nsqd.dat
    logger.go:16: INFO: NSQ: persisting topic/channel metadata to /tmp/guix-build-nsq-1.2.1.drv-0/nsq-test-3611268977/nsqd.dat
    logger.go:16: INFO: NSQ: closing topics
    logger.go:16: INFO: TOPIC(test_in_flight_worker1700827671): closing
    logger.go:16: INFO: TOPIC(test_in_flight_worker1700827671): closing ... messagePump
    logger.go:16: INFO: CHANNEL(channel): closing
    logger.go:16: INFO: CHANNEL(channel): flushing 250 memory 0 in-flight 0 deferred messages to backend
    logger.go:16: INFO: DISKQUEUE(test_in_flight_worker1700827671:channel): writeOne() opened /tmp/guix-build-nsq-1.2.1.drv-0/nsq-test-3611268977/test_in_flight_worker1700827671:channel.diskqueue.000000.dat
    logger.go:16: INFO: DISKQUEUE(test_in_flight_worker1700827671:channel): readOne() opened /tmp/guix-build-nsq-1.2.1.drv-0/nsq-test-3611268977/test_in_flight_worker1700827671:channel.diskqueue.000000.dat
    logger.go:16: INFO: DISKQUEUE(test_in_flight_worker1700827671:channel): closing
    logger.go:16: INFO: DISKQUEUE(test_in_flight_worker1700827671:channel): closing ... ioLoop
    logger.go:16: INFO: DISKQUEUE(test_in_flight_worker1700827671): closing
    logger.go:16: INFO: DISKQUEUE(test_in_flight_worker1700827671): closing ... ioLoop
    logger.go:16: INFO: NSQ: stopping subsystems
    logger.go:16: INFO: LOOKUP: closing
    logger.go:16: INFO: QUEUESCAN: closing
    logger.go:16: INFO: NSQ: bye
--- FAIL: TestInFlightWorker (2.50s)
--8<---------------cut here---------------end--------------->8---

Cuirass says the new failure was a result from
https://git.savannah.gnu.org/cgit/guix.git/log/?qt=range&q=0083a2265960f8228112c36e0d10eb974ff9d1f1..e4397a32ac81d0b23b168df27424001a7d20aee7;
I suppose the test is flaky.

-- 
Thanks,
Maxim